Bug 480575 - bcm4322 not detected by b43 broadcom driver on hp tx2617ca
bcm4322 not detected by b43 broadcom driver on hp tx2617ca
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-19 03:34 EST by Richard Schwarting
Modified: 2010-08-07 05:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-10 10:08:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Schwarting 2009-01-19 03:34:41 EST
Description of problem:

The HP tx2617ca comes with a Broadcom BCM4322 wireless card.  This device isn't even detected with the b43 open source driver loaded.  If I install the broadcom-wl driver provided by Broadcom.  

"BCM 4322 802.11a/b/g/n (Has PCI-ID 0x432B) - This device has an N Phy. There is no support for any Draft 802.11n features. We are working on it."  

Yay, so hopefully eventually.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. buy an HP tx2617ca
2. leverage radiowaves for greater internet connectivity!
3. seek in confusion for your device
Actual results:
* you cannot find the device
* you load the b43 driver to discover that it cannot (yet)
* discover F10 does not support your card
* go get evil closed driver

Expected results:
* you find that your device was already there, supported, and that the Internets are flowing freely through your being, enriching life.

Additional info:
Comment 1 W.C. Epperson 2009-02-09 21:00:31 EST

The HP dv6-1030us laptop also ships with a BCM4322 card.  Like any BCM43, it's not supported out of the box because Broadcomm has not made an open sourced firmware available.  Firmware can be installed by several means, including using bcm43xx-fwcutter, but the easiest means I found for the dv6-1030us was to enable the RPMFusion-nonfree repository and yum install the broadcomm-wl and kmod-wl packages.  The card can then be managed with NetworkManager.  802.11n features are not supported yet.
Comment 2 John W. Linville 2009-02-10 10:08:10 EST
This just has to wait for the upstream project to do the reverse engineering.

Note You need to log in before you can comment on or make changes to this bug.